<script setup lang="ts">
const props = defineProps(['months', 'items'])

const getItemsFromMonth = (month: number) => {
  return props.items.filter(item => item.month === month)
}

const getColors = (index): string => {
  const colors = ['brand-cyan-background', 'brand-blue-background', 'brand-green-background']
  return colors[index]
}
</script>

<template>
  <div class="border-solid border-1 border-gray-200 rounded-lg px-3 py-5">
    <ul class="grid grid-cols-12 gap-4 brand-blue-color text-center">
      <li v-for="month in months" :key="month.index">
        <span class="block mb-3">{{ month.label }}</span>
        <ul>
          <li
            v-for="(item, index) in getItemsFromMonth(month.index)"
            :key="index"
            class="rounded p1 mt-1.5"
            :class="getColors(item.status)"
          ></li>
        </ul>
      </li>
    </ul>
  </div>
</template>
